/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.sun.loanprocessor;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebService;
import javax.ejb.Stateless;

/**
 *
 * @author dhavalbonde
 */
@WebService()
@Stateless()
public class LoanProcessor 
{

/**
     * Web service operation
     */
    @WebMethod(operationName = "processApplication")
    public String processApplication(@WebParam(name = "socialSecurityNumber")
    String socialSecurityNumber, @WebParam(name = "applicantName")
    String applicantName, @WebParam(name = "applicantAddress")
    String applicantAddress, @WebParam(name = "applicantEmailAddress")
    String applicantEmailAddress, @WebParam(name = "applicantAge")
    int applicantAge, @WebParam(name = "applicantGender")
    String applicantGender, @WebParam(name = "annualSalary")
    double annualSalary, @WebParam(name = "amountRequested")
    double amountRequested) 
    {
        //TODO write your implementation code here:
        int MINIMUM_AGE_LIMIT = 18;

        int MAXIMUM_AGE_LIMIT = 65;

        double MINIMUM_SALARY = 20000;

        int AVERAGE_LIFE_EXPECTANCY = 70;

        //System.out.println("IN PROCESSOR");

        String result = "Loan Application APPROVED.";

        //if(amountRequested<10000)
        //{
        //    result="Amount less than 10k!!!!";
        //    return result;
        //}
        

        if(applicantAge < MINIMUM_AGE_LIMIT)
        {
            
            if( annualSalary < MINIMUM_SALARY )
            {
                result = "Loan Application REJECTED - Reason: Under-aged "+applicantAge+". Age needs to be over "+MINIMUM_AGE_LIMIT+
                                                            "years to qualify.";
                result+=" Also, salary  is too low.";
            }
            System.out.println(result);

            return result;

        }



        if(applicantAge > MAXIMUM_AGE_LIMIT) 
        {

            result = "Loan Application REJECTED - Reason: Over-aged "+applicantAge+". Age needs to be under "+MAXIMUM_AGE_LIMIT+
                    " years to qualify.";

            System.out.println(result);

            return result;

        }



        if(annualSalary < MINIMUM_SALARY)             
        {
            if(amountRequested>10000)
                result = "Loan Application REJECTED - Reason: Annual Salary $"+annualSalary+" too low."+
                    " Annual Salary needs to be over $"+MINIMUM_SALARY+" to qualify.";

            System.out.println(result);

            return result;

        }



        int yearsToRepay = AVERAGE_LIFE_EXPECTANCY-applicantAge;

        double limit = annualSalary*yearsToRepay*0.5;

        if(amountRequested > limit) 
        {

            result = "Loan Application REJECTED - Reason: You are asking for too much $"+amountRequested+
                    ".Annual Salary $"+annualSalary+", Age "+applicantAge+" years. Your limit is $"+limit;

            System.out.println(result);

            return result;

        }

               System.out.println(result);
               
               
               
               return result;

    }

}
